Subject: Re: F_ULOCK, F_LOCK, F_TLOCK, F_TEST missing in unistd.h
From: "Gerrit P. Haase" <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked]
Date: Thu, 26 Aug 2004 12:46:02 +0200

Corinna wrote:

> On Aug 26 10:38, Gerrit P. Haase wrote:
>> Hello,
>> 
>> The SUS says these flags belong in unistd.h:
>> 
>> #define F_ULOCK 0       /* Unlock a previously locked region */
>> #define F_LOCK  1       /* Lock a region for exclusive use */
>> #define F_TLOCK 2       /* Test and lock a region for exclusive use */
>> #define F_TEST  3       /* Test a region for other processes locks */
>> 
>> Could this be added?

> First of all, this is an newlib issue since unistd.h is defined there.
> However, IMHO that doesn't make much sense, as long as the lockf function
> and its prototype is missing as well.  What do you need these defines
> for w/o having lockf?

Correct, after defining them I got missing references to lockf.

> Hey, are you going to implement lockf for Cygwin?  :-)

Ummm, I wasn't aware that I want to implement it;)
I'll do some research, maybe we can take it easily from FreeBSD?

Gerrit
-- 
=^..^=                                     http://nyckelpiga.de/donate.html

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/